import { KeyValuePair } from '../models/keyvaluepair';
export declare class KeyValuePairArray<TKey, TValue> extends Array<KeyValuePair<TKey, TValue>> {
    static create<TKey, TValue>(): KeyValuePairArray<TKey, TValue>;
    private constructor();
    findByKey(key: TKey): TValue;
    add(key: TKey, value: TValue): void;
    addKeyValuePair(keyValuePair: KeyValuePair<TKey, TValue>): void;
    remove(key: TKey): void;
}
